import request from '@/utils/request'

// 查询工单主列表
export function listTicket({pageNum, pageSize}) {
  return request({
    url: `/ticket/list?pageNum=${pageNum}&pageSize=${pageSize}`,
    method: 'get',
  })
}

// 查询工单主详细
export function getTicket(id) {
  return request({
    url: '/ticket/' + id,
    method: 'get'
  })
}

// 新增工单主
export function addTicket(data) {
  return request({
    url: '/ticket',
    method: 'post',
    data: data
  })
}

// 修改工单主
export function updateTicket(data) {
  return request({
    url: '/ticket',
    method: 'put',
    data: data
  })
}

// 删除工单主
export function delTicket(data) {
  return request({
    url: `/ticket/drop`,
    method: 'post',
    data
  })
}

//查询所有的用户列表
export function getAllUser() {
  return request({
    url: `/system/user/getAllUser`,
    method: 'get',
  })
}
